Subject: Re: bug#75156: [PATCH] Please install these elixir-ts-mode fixes

From: Wilhelm Kirschbaum <[email-masked]>
Date: Sat, 28 Dec 2024 10:49:10 +0200

On Sat, Dec 28, 2024 at 10:44 AM Stefan Kangas <[email-masked]>
wrote:

> Version: 30.1
>
> Wilhelm Kirschbaum <[email-masked]> writes:
>
> > On Sat, Dec 28, 2024 at 8:49 AM Wilhelm Kirschbaum <
> [email-masked]>
> > wrote:
> >
> >> Attached are two updates to elixir-ts-mode for minor improvements. Can
> >> someone please install them if there are no concerns.
> >>
> >> The patches are from the emacs-30 branch. I can rebase them on master if
> >> required?
> >>
> >> Kind regards,
> >> Wilhelm
> >>
> >
> > I see there is a typo in the commit message, apologies.
>
> Thanks.  Installed on emacs-30 as commit 624322d5f6a.
>

Thanks Stefan, much appreciated.

I added two patches to the original email. Do you mind installing the other
patch as well? I attached it for convenience.
From 14f8fbbfa9322fa15a556f67715b11b6db4b56eb Mon Sep 17 00:00:00 2001
From: Wilhelm Kirschbaum <[email-masked]>
Date: Sun, 15 Sep 2024 09:46:07 +0200
Subject: [PATCH 1/2] Always match underscore variables for elixir-ts-mode

The code comment is invalid, as it is common to treat any _variable as a
comment.

* lisp/progmodes/elixir-ts-mode.el (elixir-ts-font-lock-settings):
Add ":override t" to comment identifier match.
---
 lisp/progmodes/elixir-ts-mode.el | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/lisp/progmodes/elixir-ts-mode.el b/lisp/progmodes/elixir-ts-mode.el
index cacdb266298..4e0caae93e3 100644
--- a/lisp/progmodes/elixir-ts-mode.el
+++ b/lisp/progmodes/elixir-ts-mode.el
@@ -402,11 +402,9 @@ elixir-ts--font-lock-settings
              (binary_operator
               left: (call target: (identifier) @font-lock-function-name-face))))))
 
-   ;; A function definition like "def _foo" is valid, but we should
-   ;; not apply the comment-face unless its a non-function identifier, so
-   ;; the comment matches has to be after the function matches.
    :language 'elixir
    :feature 'elixir-comment
+   :override t
    '((comment) @font-lock-comment-face
      ((identifier) @font-lock-comment-face
       (:match "^_[a-z]\\|^_$" @font-lock-comment-face)))
-- 
2.45.2